LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-20-2009, 04:02 AM   #1
pgreisen
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Rep: Reputation: 0
scons gcc gcc4.3


Hi all,
I am trying to compile a program using scons which should be install be using the following command

scons mode=release

the problem is that instead of using the gcc compiler it uses gcc-4.3 which is not recognized by the program - I cannot uninstall gcc-4.3 as it is used by the NVIDIA - any suggestions how to fix this?

Thanks in advance

WKR

Per
 
Old 05-20-2009, 05:23 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
WHAT opperating system are you using ???
fedora ,slac,debain,... what
 
Old 05-21-2009, 02:36 AM   #3
pgreisen
LQ Newbie
 
Registered: Aug 2006
Posts: 2

Original Poster
Rep: Reputation: 0
Hi,

I am using Ubuntu 9.04
 
Old 05-21-2009, 01:29 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
also posting the FULL error you are getting would help
some old code will need to be rewrote ( minor changes) to be able to build in gcc 4.3 . 4.1 was less strict
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
selecting gcc4 over gcc leone8 Linux - Newbie 2 01-04-2008 02:38 PM
regarding scons script in ubuntu cnu_sree Programming 0 08-10-2007 01:50 AM
no GCC ? Only GCC4.1 knobby67 Programming 1 08-05-2007 02:21 PM
Scons question Harp00 Slackware 2 12-29-2005 08:06 AM
Scons install problem drinker300 Linux - Software 0 08-07-2004 05:10 PM


All times are GMT -5. The time now is 10:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration